unit upersonen;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, Grids;

type
  Tfpersonen = class(TForm)
    BitBtn1: TBitBtn;
    lthema: TLabel;
    lpersonen: TLabel;
    epersonen: TEdit;
    bspeichern: TButton;
    lPkwNr: TLabel;
    lNr: TLabel;
    bpersonenliste: TButton;
    bstatistik: TButton;
    tstatistik: TStringGrid;
    lds: TLabel;
    eds: TEdit;
    procedure bspeichernClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure bpersonenlisteClick(Sender: TObject);
    procedure bstatistikClick(Sender: TObject);
  private
    { Private-Deklarationen}
  public
    { Public-Deklarationen}
  end;

var
  fpersonen: Tfpersonen;
  perszahl : ARRAY[1..100]OF INTEGER;
  nrpkw : INTEGER;

implementation

{$R *.DFM}

procedure Tfpersonen.bspeichernClick(Sender: TObject);
begin
 perszahl[nrpkw]:=STRTOINT(epersonen.text);
 nrpkw:=nrpkw+1;
 lNr.caption:=INTTOSTR(nrpkw);
end;

procedure Tfpersonen.FormCreate(Sender: TObject);
VAR i : INTEGER;
begin
 {Initialisierungen}
 nrpkw:=1;
 FOR i:=1 TO 100 DO perszahl[i]:=0;
end;

procedure Tfpersonen.bpersonenlisteClick(Sender: TObject);
VAR i : INTEGER;
    tperszahl : STRING;
begin
 FOR i:=1 TO nrpkw-1 DO
  BEGIN
   tperszahl:=INTTOSTR(perszahl[i]);
   CANVAS.TEXTOUT(150+i*15,80,tperszahl);
  END;
end;

procedure Tfpersonen.bstatistikClick(Sender: TObject);
VAR perssumme,e,z,d,v,f,s,si,a,i,j : INTEGER;
    ds : REAL;
begin
 {Initialisierung}
 e:=0;z:=0;d:=0;v:=0;f:=0;s:=0;si:=0;a:=0;perssumme:=0;
 {Gesamtzahl Personen}
 FOR i:=1 TO nrpkw-1 DO perssumme:=perssumme+perszahl[i];
 {Statistik}
 FOR i:=1 TO nrpkw-1 DO
  CASE perszahl[i] OF
   1 : e:=e+1;
   2 : z:=z+1;
   3 : d:=d+1;
   4 : v:=v+1;
   5 : f:=f+1;
   6 : s:=s+1;
   7 : si:=si+1;
   8 : a:=a+1;
  END;
 {Ausgabe}
 tstatistik.cells[0,0]:='Personenzahl';
 tstatistik.cells[0,1]:='PKW-Zahl';
 FOR j:=1 TO 8 DO tstatistik.cells[j,0]:=INTTOSTR(j);
 tstatistik.cells[1,1]:=INTTOSTR(e);
 tstatistik.cells[2,1]:=INTTOSTR(z);
 tstatistik.cells[3,1]:=INTTOSTR(d);
 tstatistik.cells[4,1]:=INTTOSTR(v);
 tstatistik.cells[5,1]:=INTTOSTR(f);
 tstatistik.cells[6,1]:=INTTOSTR(s);
 tstatistik.cells[7,1]:=INTTOSTR(si);
 tstatistik.cells[8,1]:=INTTOSTR(a);
 {Durchschnitt}
 ds:=perssumme/(nrpkw-1);
 eds.text:=FLOATTOSTRF(ds,ffnumber,8,1);
 end;

end.
